JdkLoggerFormatter (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.juli, class: JdkLoggerFormatter

# Class JdkLoggerFormatter

java.lang.Object
java.util.logging.Formatter
org.apache.juli.JdkLoggerFormatter

public class JdkLoggerFormatter extends Formatter
A more compact formatter. Equivalent log4j config:

     log4j.rootCategory=WARN, A1
     log4j.appender.A1=org.apache.log4j.ConsoleAppender
     log4j.appender.A1.layout=org.apache.log4j.PatternLayout
     log4j.appender.A1.Target=System.err
     log4j.appender.A1.layout.ConversionPattern=%r %-20.20c{2} %-1.1p %m %n

Example: 1130122891846 Http11BaseProtocol I Initializing Coyote HTTP/1.1 on http-8800

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `LOG_LEVEL_DEBUG`
  Log level value for DEBUG.
  `static final int`
  `LOG_LEVEL_ERROR`
  Log level value for ERROR.
  `static final int`
  `LOG_LEVEL_FATAL`
  Log level value for FATAL.
  `static final int`
  `LOG_LEVEL_INFO`
  Log level value for INFO.
  `static final int`
  `LOG_LEVEL_TRACE`
  Log level value for TRACE.
  `static final int`
  `LOG_LEVEL_WARN`
  Log level value for WARN.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JdkLoggerFormatter()`
  Constructs a new JdkLoggerFormatter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format(LogRecord record)`

  ### Methods inherited from class Formatter

  `formatMessage, getHead, getTail`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG_LEVEL_TRACE

    public static final int LOG_LEVEL_TRACE
    Log level value for TRACE.
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL_DEBUG

    public static final int LOG_LEVEL_DEBUG
    Log level value for DEBUG.
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL_INFO

    public static final int LOG_LEVEL_INFO
    Log level value for INFO.
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL_WARN

    public static final int LOG_LEVEL_WARN
    Log level value for WARN.
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL_ERROR

    public static final int LOG_LEVEL_ERROR
    Log level value for ERROR.
    See Also:
      - Constant Field Values

  - ### LOG_LEVEL_FATAL

    public static final int LOG_LEVEL_FATAL
    Log level value for FATAL.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JdkLoggerFormatter

    public JdkLoggerFormatter()
    Constructs a new JdkLoggerFormatter.

- ## Method Details

  - ### format

    public String format(LogRecord record)
    Specified by:
      `format` in class `Formatter`